Subject: [PATCH 0/1] powerpc: make mcount a stub for dynamic ftrace

From: Steven Rostedt <[email-masked]>
Date: Thu, 20 Nov 2008 16:55:41 -0500

Paul,

I have one more patch. I added it to the end of the ppc/ftrace branch.
The new way of handling the finding of mcounts means we do not need
to do anything in the mcount call itself. It should just be a stub
and when ftrace is enabled, it will change the caller sites to call
something other than mcount.

The following patches are in:

  git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-2.6-trace.git

    branch: ppc/ftrace

Steven Rostedt (1):
      powerpc: ftrace, do nothing in mcount call for dyn ftrace

----
 arch/powerpc/kernel/entry_32.S |   35 +----------------------------------
 arch/powerpc/kernel/entry_64.S |   12 ------------
 2 files changed, 1 insertions(+), 46 deletions(-)